/*
 *  FILE    : MainPanel.java
 *  Ver     : 1.0      (Dec., `99)
 *  AUHTHOR : Sangyoon Oh
 *            soh@napc.syr.edu
 *
 */

import java.awt.*;
import javax.swing.*;

public class MainPanel extends JPanel {
    public MainPanel(MajordomoAdm _parent)  {
        
        parent = _parent;
        
	// GUI
        configPanel = new ConfigPanel(this);
        passwordPanel = new ChangePasswordPanel(this);
        statusPanel = new StatusPanel(this);
        
        // add tabs
        main.addTab("Config", configPanel);
        main.addTab("Change Password", passwordPanel);
        main.addTab("Status", statusPanel);
        setLayout(new BorderLayout());
        add(main, BorderLayout.CENTER);        
    }
    
    protected MajordomoAdm parent;
    
    protected JTabbedPane main = new JTabbedPane();
    protected ConfigPanel configPanel;
    protected ChangePasswordPanel passwordPanel;
    protected StatusPanel statusPanel;
}
